<template>
  <v-app>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
    >
      <template #prepend>
        <v-list-item two-line>
          <v-list-item-avatar>
            <img v-if="user ? user.img : false" :src="user.img" alt="user">
            <div v-else class="user-icon">
              <div>{{ user ? user.sub[0] : "" }}</div>
            </div>
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title>
              {{
                user ? user.sub : "---"
              }}
            </v-list-item-title>
            <v-list-item-subtitle>
              {{
                user ? user.email : "---@---.---"
              }}
            </v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </template>

      <v-divider />
      <v-list dense nav>
        <v-list-item v-for="(item, i) in items" :key="i" :to="item.to" link>
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>{{ item.title }} </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>

      <template #append>
        <v-list dense nav>
          <v-list-item link @click="logoutRole">
            <v-list-item-action>
              <v-icon>mdi-swap-horizontal</v-icon>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title>Cambio de rol</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
          <v-list-item link @click="logout">
            <v-list-item-action>
              <v-icon>mdi-logout</v-icon>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title>Cerrar sesión</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </template>
    </v-navigation-drawer>
    <v-main style="background: #ffffff">
      <v-container class="lighten-5" style="height: 100%">
        <nuxt />
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
import { mapState, mapActions } from 'vuex';

export default {
  data() {
    return {
      clipped: false,
      drawer: true,
      fixed: false,
      miniVariant: false,
      title: 'Vuetify.js',
    };
  },
  computed: {
    ...mapState({
      user: state => state.auth.user,
      items: state => state.auth.options,
    }),
  },
  methods: {
    ...mapActions({
      logoutRole: 'auth/logoutRole',
      logout: 'auth/logout',
    }),
  },
};
</script>
<style>
.user-icon {
  width: 40px;
  height: 40px;
  background: #85e4c6;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.user-icon div {
  color: white;
}
</style>
